Skip to navigation

Update Widget

Updates a Widget.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Contentmodifystore_v2_content
Contentread-onlystore_v2_content_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

uuidstringRequiredformat: "uuid"
The identifier for a specific widget.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Request

This endpoint expects an object.
channel_idintegerOptional
descriptionstringOptional

The user-friendly description.

namestringOptional

The user-friendly name.

upgradebooleanOptional
Upgrade the Widget to latest version of the WidgetTemplate.
widget_configurationobjectOptional
The JSON data that populates the template.
widget_template_uuidstringOptional
The widget template UUID.

Response

The requested widget.
dataobjectOptional
metaobjectOptional
Response metadata.

Errors

404
Not Found Error
422
Unprocessable Entity Error